GNU bug report logs - #39187
Fwd: "Package refresh is already in progress, please wait..."

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jean-Christophe Helary <jean.christophe.helary@HIDDEN>; dated Sun, 19 Jan 2020 01:30:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 39187 <at> debbugs.gnu.org:


Received: (at 39187) by debbugs.gnu.org; 20 Jan 2020 12:36:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 20 07:36:25 2020
Received: from localhost ([127.0.0.1]:44484 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itWI4-0000yk-2d
	for submit <at> debbugs.gnu.org; Mon, 20 Jan 2020 07:36:25 -0500
Received: from mout.gmx.net ([212.227.17.22]:58685)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1itWI0-0000yV-1j
 for 39187 <at> debbugs.gnu.org; Mon, 20 Jan 2020 07:36:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1579523772;
 bh=2VJqmxrE1tTXEaI9zlbo1h9UTTp71uNEGvOFvxaNGHY=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=a6BdhHkQCB6Q6kBEEFAkwPRmWsDIUFCNv2CPpIW2VVX8LeloXJuRCRwdi88gGY1Yx
 +q2399YYM4ytUMegsQPWk0n3+ftdANLSl+cdvfUjFh99oP4wLFHNnVlqZM+aYU3YFr
 /NkV/p1C3NFqevF44FkyOX3FeGg4USGHjEDlc/Ms=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.86.37.47]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MGQj7-1ipwy90Sib-00GsM1; Mon, 20
 Jan 2020 13:36:12 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39187: Fwd: "Package refresh is already in progress, please
 wait..."
References: <CADwFkmmNJYecn62nN8rxfFqMD9dU75z_BfGebf89M4XmnmZZWA@HIDDEN>
 <D3F3FC1C-C5F7-426B-BDD8-2F6FF47F4DC6@HIDDEN>
 <87muakus4m.fsf@HIDDEN> <87v9p724oa.fsf@HIDDEN>
 <837e1nzd5o.fsf@HIDDEN>
Date: Mon, 20 Jan 2020 13:36:09 +0100
In-Reply-To: <837e1nzd5o.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 19 Jan
 2020 17:20:03 +0200")
Message-ID: <87d0bexq2u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:xnjsdGJguIx8pZsL4LPWU8BMbilqqo88HahMyiCuqtyYRkI8nZF
 KgaUzrn4PvNB8g5Zt+yzUTpjSkQoYje5oQAHzpFgZm4Ssd2IewI4Gu2avk3D+sjPYsBWWZU
 WNvmJGnGPCO4JOjCnVBIyvmLAaz2OhkOLr9CY5aCd5RHuJX5K3QKBycU+IWfIq1c5DF0AXH
 kleh0QDcwqN0hpZ+T9J+Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Meh4AT1RW3g=:0BTqZhfaDD/HAf/SMdBVYn
 tRQrKJsRrHQhen534P6UMmSr7juyS2dG69aGj12eiRzkvVSGpH6x21HlQ257x9Ar9QsJdfTA/
 s+04wW/4vuXkahd87F0RVDGpE/DUu/HMEuyC3PIJq19TX90U+z/4E85zEP+De/BhRPkSmYpPK
 byCy2klrEcEKTp0qz1hhd4/PsspZgQyKyWzHvKKEkj++5m0OCHAFl5O2oVyOvl+ARrtkVVyDr
 Qtc//cZqnBjLo4Dp+c0hfw86ezPthS2QPLDAB2O4FADiQAMiRxUQ2ftbdNh15AFxOiHQ2c7X8
 /JB9iRzNpHLwmk7Wrmf+QTcOAixYM31uhZTOImBQpZ9egyrbaKpZxjRnrwzNNgb3M4Ej1VeEg
 JeUbiYPJlSkPbb4Z6rTDZMeQtJiSwHuS0J11bnrwdLTmidwxjpcP3TlLK6iQ5URKi8r+Z93ua
 P/314bCi0GfhyfK3aPgRWjA0fqf7J6cY/wuznLOUJrJSgLMyRczXId2DsrjieEojq2onh/mPa
 H6EvuGLbEsx9VcgOqNpxK3zEcy2OITv6skvE6UC47K+NJCPrQ+wa996sbyYHbR8aOdLTSJf5+
 7hife7EojlvfBWdUmpWIHl/FPOKCw/Q0wPi1+ijTkVLHjg5Ru/KmkAiilKFTe7xFJE/m3TuOs
 lX4NfkerEthexgVD6MozrGlc3ehiQG6HkDtBz1D05ZC3Vo4XyNoGFjMu2HMi72veI+AGCdxOW
 fbegGODOcmnmhsirpI0vUYgDj+DJfMaYj6fFyPi31CqxBcOCggFiiEyXwKz7WYGBvIxP4ChR5
 sje/rcXg2JuzFY4ja1nV04kcUqhuk795aX33CM2mrlpO9cozHQAAnOEAhxq8SsK0sITars75r
 ZCC1b74xkIgdhRPA92EcGWspG4T4QZCYfrgwc0oemRaL2KXqJwDSbs8SZqY/MaFSvo45dHpXH
 IxePpU3UD9eehrNxb2Npoux3/4ba3bB46FyvYCgkeaRBXRqSxYefd68snteDhS3AswELQwNKC
 VijNdggQWaj94n1yU5JJ7u5srQHRUwRkXeuaIgGyjVW5MusdlzG90XOwJmFFZqiNq2IiUrm25
 NOY99QSkXAIzBk5y9I+mMEA4maOGYO/ST1Rzm4U3zYmyk5fh319ttAw6lkg3USOSMjU6WqRj3
 JLB21zcqR5Gg56mhepql3CT5Xe/rUkmpVvgE4as16ZLLT1PIq0/y9ZMRLPLHxqcb5sZ1SLttq
 9RBICiBAlvr0W+o0r8H9+Gr/dIcVaDtxqN5i+n7jWooRRy6hzTwg3vAyl4yo=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39187
Cc: jean.christophe.helary@HIDDEN, stefan@HIDDEN,
 39187 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> For previous Emacs releases, there was a bug collecting blocking bugs
>> for that release. See debbugs-gnu-emacs-blocking-reports in
>> debbugs-gnu.el.
>>
>> Unfortunately, this isn't used anymore. I found it convenient.
>
> Feel free to create such a report.  But I don't promise I will agree
> with every bug added to that list, I might have questions or I might
> disagree (and remove the bug from the list).

Of course.

I've created bug#39200 for Emacs 27.1, and bug#39202 for Emacs
28.1. I've also marked bug#39187 as blocking bug#39200.

However, this will only work if this list of blocking bugs is maintained
by people.

> Thanks.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39187; Package emacs. Full text available.
Added indication that bug 39187 blocks39200 Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39187 <at> debbugs.gnu.org:


Received: (at 39187) by debbugs.gnu.org; 19 Jan 2020 15:20:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 19 10:20:06 2020
Received: from localhost ([127.0.0.1]:43745 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itCMw-0006Zh-6M
	for submit <at> debbugs.gnu.org; Sun, 19 Jan 2020 10:20:06 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35669)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1itCMu-0006Ym-6r
 for 39187 <at> debbugs.gnu.org; Sun, 19 Jan 2020 10:20:05 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36770)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1itCMn-00045e-Mf; Sun, 19 Jan 2020 10:19:57 -0500
Received: from [176.228.60.248] (port=4269 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1itCMn-00077V-2X; Sun, 19 Jan 2020 10:19:57 -0500
Date: Sun, 19 Jan 2020 17:20:03 +0200
Message-Id: <837e1nzd5o.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
In-reply-to: <87v9p724oa.fsf@HIDDEN> (message from Michael Albinus on Sun, 19
 Jan 2020 10:09:41 +0100)
Subject: Re: bug#39187: Fwd: "Package refresh is already in progress,
 please wait..."
References: <CADwFkmmNJYecn62nN8rxfFqMD9dU75z_BfGebf89M4XmnmZZWA@HIDDEN>
 <D3F3FC1C-C5F7-426B-BDD8-2F6FF47F4DC6@HIDDEN>
 <87muakus4m.fsf@HIDDEN> <87v9p724oa.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39187
Cc: jean.christophe.helary@HIDDEN, stefan@HIDDEN,
 39187 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Michael Albinus <michael.albinus@HIDDEN>
> Date: Sun, 19 Jan 2020 10:09:41 +0100
> Cc: Jean-Christophe Helary <jean.christophe.helary@HIDDEN>,
>  39187 <at> debbugs.gnu.org
> 
> Stefan Kangas <stefan@HIDDEN> writes:
> 
> > PS.  Is there a way to mark this as blocking Emacs 27.1?  I don't
> > think we should release a pre-test with this issue.
> 
> For previous Emacs releases, there was a bug collecting blocking bugs
> for that release. See debbugs-gnu-emacs-blocking-reports in
> debbugs-gnu.el.
> 
> Unfortunately, this isn't used anymore. I found it convenient.

Feel free to create such a report.  But I don't promise I will agree
with every bug added to that list, I might have questions or I might
disagree (and remove the bug from the list).

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39187; Package emacs. Full text available.

Message received at 39187 <at> debbugs.gnu.org:


Received: (at 39187) by debbugs.gnu.org; 19 Jan 2020 09:09:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 19 04:09:53 2020
Received: from localhost ([127.0.0.1]:42613 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1it6af-0008F0-GG
	for submit <at> debbugs.gnu.org; Sun, 19 Jan 2020 04:09:53 -0500
Received: from mout.gmx.net ([212.227.15.18]:35391)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1it6ac-0008El-P7
 for 39187 <at> debbugs.gnu.org; Sun, 19 Jan 2020 04:09:51 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1579424983;
 bh=h/4/xtk5mNVYYqQSpX3bieToelzE8jTg3puNYsgql3w=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=jX7+Fxvnjtln162B7OuOMuzw9lMsPKtsUw43FdJWOedWOxqvWCQ+fzKZjSJ3zP5VP
 DXTx43hiOg7Do8+ZrLbT8xr74N+kZXs0r4qgk1bGVrVz8DSxhPeZCqlx6fdL1Fa8Sk
 cWNJEZ+wF+5k1LFmfcUMss+BDuxtE7Ta0BKpNaeE=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([212.86.37.47]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MWRVh-1j9PSO1yyB-00XwY8; Sun, 19
 Jan 2020 10:09:43 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#39187: Fwd: "Package refresh is already in progress, please
 wait..."
References: <CADwFkmmNJYecn62nN8rxfFqMD9dU75z_BfGebf89M4XmnmZZWA@HIDDEN>
 <D3F3FC1C-C5F7-426B-BDD8-2F6FF47F4DC6@HIDDEN>
 <87muakus4m.fsf@HIDDEN>
Date: Sun, 19 Jan 2020 10:09:41 +0100
In-Reply-To: <87muakus4m.fsf@HIDDEN> (Stefan Kangas's message of "Sun, 19
 Jan 2020 02:55:37 +0100")
Message-ID: <87v9p724oa.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:NCrUGK/l4uJZc+5PIso1RcZpOo5xLBbldoBE11qN8mQ86U9S9Hg
 nT1xPQDTTQRAeCK87ovn4cHIhTcX1j4TcidqF5fs53z/B4tQ2oSmLnHNP4aWW7ibCB//j38
 mM2egFeBaIIWSHLwIf6s+i5os5DrhgTIn12vGC5jAy/7c3rZdZ1luf5e2MwNncL8saaoQap
 LZ+I+DLsNmG5UUehurP5g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:r/1AGJMoTQQ=:liI594szJEUzf1BXxCvY0w
 W0f2cI//7S8PlKz7Q+PAI3frg/QzzLzHTuUTEZdzFSEZWVFiMTRdTlEtE0B0LK+1NEKWWdk8K
 j2AAyi6FSkefWpGK/r8Nk5lg8xeZRoVl5LP3Wwe+wf0vYtBGzG8qLrR4oEPkaR2BPoaFVjYjp
 HSEjhSk3Z2xriKd0KkkgNSJ2gAKwd5h2gMuO4Cv8UcVOrdbrLdpHt8HZH4Cu6qxuLfeu570FP
 reIsVUDE+nYa2jp0D1BD2/AYTzZZMplZrWtdVor0MreHxbIsA4gyOQgOV1ZUG/Y5p7D8UGiJH
 l937HeqQ0frRmTYwhHuJvCRtOz0Dr85REANPOcX0mce7j6YJd09gja+Y8qfhAmm0M5oQ0ZYtF
 FgoxZ1ncRrYL/YW9vbRPrWtM3Y5KKedNAU/4leInKKZdwKMVqfjJ3c3zAOmxGNoSMR5jpj9r2
 8+WrqF7IoE5chQJBtfV5FRq1EnpZUMsFt+gYiQ/7nch4pP75ZqMQvceXB9nldA9vG8TLLjwmG
 TyWg02wvFiRhcPTh82J1+B6umDyyrqzeJbiqXCv1BBmAhvIG29oSZtEZJQLn/2DYoJFwE1WQ2
 TSruKwtclpC4qwIp0YwCPNlRctIoRnkgG+GL9uC1B+Us4kAzDQkO90Ap/ZfVIxCIjjMQJlSd5
 lm+tFWAdA1+ohNS869akwLVHhdwDcoSn8R6It2fXnb/uh8vvRZ0ZgpvrHz+QP105bljqDJFOW
 0jPtpcVhxXpfK5ZeNt1hVDQZtfPKAa7oYluB7XUlyesVclwDBAqlpVr+vkEC/c3ry5MepRi2Q
 SAR0hXsvlcGpJypAU9UA5hKWVp4DWiflM/oAQJK9d3rrBtiVGTSlQlCe1J8Isae6nLYWrnAq/
 d/wDrB9g+cDHb2hzzJVCAZQVY2/cLx4OkQlu2ZbR3Xw9qlRFvcA6Q8j6V+jGHdBqXgOpRZbvO
 FnRV3SlBSI8HSQjHyGQfECfhuCXGHDgURML99oKotB3qVUp9ycxA1aPwyxVICes15gROjgaNN
 l8/9Op8/8cwoEXPPHbnj5PF8+DOfxZbNtRFHw+AbRbRFXrqtDnonQE6diFxv0Lpa1MWj65vRx
 yOJlNy6Z/hks6dICZ69+2ETiSFlG4KtExW0dYU6STFMbhQeYw0+rlTLQEVFAKlfbKVEdsTmVd
 ZYO1seSMNx3cHLbpPXlBoSbGgeYSMZ0S/LDaTzSpmBOPkdZqL8G2jKRBt4iLsm59LcVn6QUYC
 uDbqo/kPejdGyJ1jyosYAchAusZ1E+dLxrlRRmLviAePL+g4knEU9Q2xNH9o=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39187
Cc: Jean-Christophe Helary <jean.christophe.helary@HIDDEN>,
 39187 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefan@HIDDEN> writes:

> PS.  Is there a way to mark this as blocking Emacs 27.1?  I don't
> think we should release a pre-test with this issue.

For previous Emacs releases, there was a bug collecting blocking bugs
for that release. See debbugs-gnu-emacs-blocking-reports in
debbugs-gnu.el.

Unfortunately, this isn't used anymore. I found it convenient.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39187; Package emacs. Full text available.

Message received at 39187 <at> debbugs.gnu.org:


Received: (at 39187) by debbugs.gnu.org; 19 Jan 2020 01:55:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 18 20:55:52 2020
Received: from localhost ([127.0.0.1]:42535 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iszod-00049T-JU
	for submit <at> debbugs.gnu.org; Sat, 18 Jan 2020 20:55:52 -0500
Received: from ted.gofardesign.uk ([67.225.143.91]:51944)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>) id 1iszoY-00049A-7r
 for 39187 <at> debbugs.gnu.org; Sat, 18 Jan 2020 20:55:49 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=9RvOh9UsfNoK6vko2xavtYzpWECqvMhnsTso7+Ypkv8=; b=oHca1GByPw3Wla179pIuLdu+m+
 2ZFtl//SuggyId0qupo/Ysy1h/owu13a1gudqia5cga3v/UIvZqvAq32fIhPEV48bYx1uWmTKwNfB
 aIBIBUvkYz2HrmBOi495nAQHzxXFLfqy0UFA8Thw+1/6o6Zww7qrmauk30H7NVIhzRxId9SVZIumR
 xVDqL+bbPUfuYm0u/F+5V7/YnXXYqCX3kVaEgqba3TyAXnlOBIt198EC6eURVoZHSTSRwd8QYi7kw
 nCixChQEW1UUWaSV17OnumnNbx7ti2/h8iQLTWWzA7GyvG9IWmSUtj986q29Sy+wpWFz/yjx7bUdj
 rlCp0lcA==;
Received: from h-70-69.a785.priv.bahnhof.se ([155.4.70.69]:49146
 helo=localhost)
 by ted.gofardesign.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.92) (envelope-from <stefan@HIDDEN>)
 id 1iszoR-001ECp-Iy; Sat, 18 Jan 2020 20:55:39 -0500
From: Stefan Kangas <stefan@HIDDEN>
To: Jean-Christophe Helary <jean.christophe.helary@HIDDEN>
Subject: Re: bug#39187: Fwd: "Package refresh is already in progress, please
 wait..."
In-Reply-To: <D3F3FC1C-C5F7-426B-BDD8-2F6FF47F4DC6@HIDDEN>
 (Jean-Christophe Helary's message of "Sun, 19 Jan 2020 10:28:51
 +0900")
References: <CADwFkmmNJYecn62nN8rxfFqMD9dU75z_BfGebf89M4XmnmZZWA@HIDDEN>
 <D3F3FC1C-C5F7-426B-BDD8-2F6FF47F4DC6@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Date: Sun, 19 Jan 2020 02:55:37 +0100
Message-ID: <87muakus4m.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - ted.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: ted.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: ted.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39187
Cc: 39187 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jean-Christophe Helary <jean.christophe.helary@HIDDEN>
writes:

> From: Stefan Kangas <stefan@HIDDEN>
> Subject: Re: "Package refresh is already in progress, please wait..."
> Date: January 19, 2020 1:20:42 JST
> To: Jean-Christophe Helary <jean.christophe.helary@HIDDEN>
> Cc: Help Gnu Emacs mailing list <help-gnu-emacs@HIDDEN>
>
> Jean-Christophe Helary <jean.christophe.helary@HIDDEN> writes:
>
> > It looks like emacs does not properly handle package refreshes when
> > the internet connection has been killed in the middle of an
> > refresh.
> > 
> > I often get this message in that case and I can't call package
> > until I actually kill emacs and restart it.

This is indeed a pretty bad bug.  Thank you for bringing it to our
attention.

For reference, here is the discussion about this on help-gnu-emacs:

    https://lists.gnu.org/archive/html/help-gnu-emacs/2020-01/msg00119.html

> That's a bug which was almost certainly introduced in a6d87ea045 by
> yours truly.  Could you please file a new bug report by running M-x
> report-emacs-bug or emailing bug-gnu-emacs@HIDDEN?  Please include a
> reference to this thread.

I think the fix here is simply to make sure that these processes times
out.

I will look into this, but that should not stop anyone else from
looking into it if they feel so inclined.  Please also if anyone has a
better idea for how to fix it, feel free to share it.

Best regards,
Stefan Kangas


PS.  Is there a way to mark this as blocking Emacs 27.1?  I don't
think we should release a pre-test with this issue.

PS2.  If we can't find a fix in time before the pre-release, it is
better to back out commit a6d87ea045 on the release branch.  (We could
then leave it on master and fix it there, I think.)  But that that
will hopefully not be necessary.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39187; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Jan 2020 01:29:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 18 20:29:07 2020
Received: from localhost ([127.0.0.1]:42529 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iszOl-0003XR-9H
	for submit <at> debbugs.gnu.org; Sat, 18 Jan 2020 20:29:07 -0500
Received: from lists.gnu.org ([209.51.188.17]:56288)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jean.christophe.helary@HIDDEN>)
 id 1iszOk-0003XK-2f
 for submit <at> debbugs.gnu.org; Sat, 18 Jan 2020 20:29:06 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:50042)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jean.christophe.helary@HIDDEN>)
 id 1iszOi-0001qP-2i
 for bug-gnu-emacs@HIDDEN; Sat, 18 Jan 2020 20:29:05 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.8 required=5.0 tests=AC_FROM_MANY_DOTS,BAYES_05,
 HTML_MESSAGE, RCVD_IN_DNSWL_LOW, URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jean.christophe.helary@HIDDEN>)
 id 1iszOg-0001cI-LJ
 for bug-gnu-emacs@HIDDEN; Sat, 18 Jan 2020 20:29:03 -0500
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:36575)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71)
 (envelope-from <jean.christophe.helary@HIDDEN>)
 id 1iszOf-0001UY-ND
 for bug-gnu-emacs@HIDDEN; Sat, 18 Jan 2020 20:29:02 -0500
X-Originating-IP: 182.251.137.42
Received: from [172.20.10.2] (KD182251137042.au-net.ne.jp [182.251.137.42])
 (Authenticated sender: jean.christophe.helary@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id 271011BF203
 for <bug-gnu-emacs@HIDDEN>; Sun, 19 Jan 2020 01:28:56 +0000 (UTC)
From: Jean-Christophe Helary <jean.christophe.helary@HIDDEN>
Content-Type: multipart/alternative;
 boundary="Apple-Mail=_1B2C8F31-27AF-4E9D-A773-BF09A6D6BAE8"
Mime-Version: 1.0 (Mac OS X Mail 13.0 \(3608.40.2.2.4\))
Subject: Fwd: "Package refresh is already in progress, please wait..."
Message-Id: <D3F3FC1C-C5F7-426B-BDD8-2F6FF47F4DC6@HIDDEN>
References: <CADwFkmmNJYecn62nN8rxfFqMD9dU75z_BfGebf89M4XmnmZZWA@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Date: Sun, 19 Jan 2020 10:28:51 +0900
X-Mailer: Apple Mail (2.3608.40.2.2.4)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 217.70.183.201
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)


--Apple-Mail=_1B2C8F31-27AF-4E9D-A773-BF09A6D6BAE8
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=us-ascii

Thanks in advance !

> Begin forwarded message:
>=20
> From: Stefan Kangas <stefan@HIDDEN>
> Subject: Re: "Package refresh is already in progress, please wait..."
> Date: January 19, 2020 1:20:42 JST
> To: Jean-Christophe Helary =
<jean.christophe.helary@HIDDEN>
> Cc: Help Gnu Emacs mailing list <help-gnu-emacs@HIDDEN>
>=20
> Jean-Christophe Helary <jean.christophe.helary@HIDDEN> =
writes:
>>=20
>> It looks like emacs does not properly handle package refreshes when =
the internet connection has been killed in the middle of an refresh.
>>=20
>> I often get this message in that case and I can't call package until =
I actually kill emacs and restart it.
>=20
> That's a bug which was almost certainly introduced in a6d87ea045 by
> yours truly.  Could you please file a new bug report by running M-x
> report-emacs-bug or emailing bug-gnu-emacs@HIDDEN?  Please include a
> reference to this thread.
>=20
> Thanks in advance.
>=20
> Best regards,
> Stefan Kangas

--Apple-Mail=_1B2C8F31-27AF-4E9D-A773-BF09A6D6BAE8
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=us-ascii

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dus-ascii"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" =
class=3D"">Thanks in advance !<br class=3D""><div><br =
class=3D""><blockquote type=3D"cite" class=3D""><div class=3D"">Begin =
forwarded message:</div><br class=3D"Apple-interchange-newline"><div =
style=3D"margin-top: 0px; margin-right: 0px; margin-bottom: 0px; =
margin-left: 0px;" class=3D""><span style=3D"font-family: =
-webkit-system-font, Helvetica Neue, Helvetica, sans-serif; =
color:rgba(0, 0, 0, 1.0);" class=3D""><b class=3D"">From: =
</b></span><span style=3D"font-family: -webkit-system-font, Helvetica =
Neue, Helvetica, sans-serif;" class=3D"">Stefan Kangas &lt;<a =
href=3D"mailto:stefan@HIDDEN" class=3D"">stefan@HIDDEN</a>&gt;<br =
class=3D""></span></div><div style=3D"margin-top: 0px; margin-right: =
0px; margin-bottom: 0px; margin-left: 0px;" class=3D""><span =
style=3D"font-family: -webkit-system-font, Helvetica Neue, Helvetica, =
sans-serif; color:rgba(0, 0, 0, 1.0);" class=3D""><b class=3D"">Subject: =
</b></span><span style=3D"font-family: -webkit-system-font, Helvetica =
Neue, Helvetica, sans-serif;" class=3D""><b class=3D"">Re: "Package =
refresh is already in progress, please wait..."</b><br =
class=3D""></span></div><div style=3D"margin-top: 0px; margin-right: =
0px; margin-bottom: 0px; margin-left: 0px;" class=3D""><span =
style=3D"font-family: -webkit-system-font, Helvetica Neue, Helvetica, =
sans-serif; color:rgba(0, 0, 0, 1.0);" class=3D""><b class=3D"">Date: =
</b></span><span style=3D"font-family: -webkit-system-font, Helvetica =
Neue, Helvetica, sans-serif;" class=3D"">January 19, 2020 1:20:42 JST<br =
class=3D""></span></div><div style=3D"margin-top: 0px; margin-right: =
0px; margin-bottom: 0px; margin-left: 0px;" class=3D""><span =
style=3D"font-family: -webkit-system-font, Helvetica Neue, Helvetica, =
sans-serif; color:rgba(0, 0, 0, 1.0);" class=3D""><b class=3D"">To: =
</b></span><span style=3D"font-family: -webkit-system-font, Helvetica =
Neue, Helvetica, sans-serif;" class=3D"">Jean-Christophe Helary &lt;<a =
href=3D"mailto:jean.christophe.helary@HIDDEN" =
class=3D"">jean.christophe.helary@HIDDEN</a>&gt;<br =
class=3D""></span></div><div style=3D"margin-top: 0px; margin-right: =
0px; margin-bottom: 0px; margin-left: 0px;" class=3D""><span =
style=3D"font-family: -webkit-system-font, Helvetica Neue, Helvetica, =
sans-serif; color:rgba(0, 0, 0, 1.0);" class=3D""><b class=3D"">Cc: =
</b></span><span style=3D"font-family: -webkit-system-font, Helvetica =
Neue, Helvetica, sans-serif;" class=3D"">Help Gnu Emacs mailing list =
&lt;<a href=3D"mailto:help-gnu-emacs@HIDDEN" =
class=3D"">help-gnu-emacs@HIDDEN</a>&gt;<br class=3D""></span></div><br =
class=3D""><div class=3D""><div class=3D"">Jean-Christophe Helary &lt;<a =
href=3D"mailto:jean.christophe.helary@HIDDEN" =
class=3D"">jean.christophe.helary@HIDDEN</a>&gt; =
writes:<br class=3D""><blockquote type=3D"cite" class=3D""><br =
class=3D"">It looks like emacs does not properly handle package =
refreshes when the internet connection has been killed in the middle of =
an refresh.<br class=3D""><br class=3D"">I often get this message in =
that case and I can't call package until I actually kill emacs and =
restart it.<br class=3D""></blockquote><br class=3D"">That's a bug which =
was almost certainly introduced in a6d87ea045 by<br class=3D"">yours =
truly. &nbsp;Could you please file a new bug report by running M-x<br =
class=3D"">report-emacs-bug or emailing <a =
href=3D"mailto:bug-gnu-emacs@HIDDEN" =
class=3D"">bug-gnu-emacs@HIDDEN</a>? &nbsp;Please include a<br =
class=3D"">reference to this thread.<br class=3D""><br class=3D"">Thanks =
in advance.<br class=3D""><br class=3D"">Best regards,<br =
class=3D"">Stefan Kangas</div></div></blockquote></div></body></html>=

--Apple-Mail=_1B2C8F31-27AF-4E9D-A773-BF09A6D6BAE8--




Acknowledgement sent to Jean-Christophe Helary <jean.christophe.helary@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#39187; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 20 Jan 2020 12:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.